package com.winhc.bigdata.spark.implicits

import scala.util.matching.Regex

/**
 * @Author: XuJiakai
 * @Date: 2020/8/6 18:29
 * @Description:
 */
object RegexUtils {

  implicit class RichRegex(val underlying: Regex) extends AnyVal {
    def matches(s: String) = if (s == null) false else underlying.pattern.matcher(s).matches
  }

}
