
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */


//招聘

case class company_employment(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("title"), s"${newMap("title")}招聘信息发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("title"), s"新增${newMap("title")}招聘信息")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "招聘", Array("title", "city->employment_city", "employ_num", "start_date"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("start_date")
}
