package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

//股权出质打平
case class company_equity_info_list(equCols: Seq[String]) extends CompanyChangeHandle {

  override def getCid(rowkey: String, newMap: Map[String, String]): String = newMap("cid")

  override def getUpdateTitle(newMap: Map[String, String]): String = s"股权出质信息发生变更"

  override def getInsertTitle(newMap: Map[String, String]): String = s"股权出质信息发生变更"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String  = ChangeExtractUtils.getTags(newMap, "股权出质", Array("pledgor", "pledgee", "cid", "pledgor_id", "pledgee_type", "pledgee_id", "pledgor_type"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("reg_date")
}
