
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */


//网站

case class company_icp(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("domain"), s"${newMap("domain")}网站备案发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("domain"), s"新增${newMap("domain")}网站备案")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.get_ip_tags("网站备案", newMap("domain"), newMap("examine_date"), newMap("liscense"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("examine_date")
}
