package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: XuJiakai
 * @Date: 2020/8/11 17:26
 * @Description: 严重违法
 */
case class company_illegal_info(equCols: Seq[String]) extends CompanyChangeHandle with Serializable {
  override def getUpdateTitle(newMap: Map[String, String]): String = "严重违法发生变化"

  override def getInsertTitle(newMap: Map[String, String]): String = "新增一条严重违法"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "严重违法", Array("put_reason", "put_date", "put_department", "remove_reason", "remove_date", "remove_department", "type"))

  override def getBizTime(newMap: Map[String, String]): String = DateUtils.getNotNullStr(newMap("put_date"), newMap("remove_date"), newMap("update_time"))
}
