package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/8/4 15:06
 * @Description:
 */
case class company_staff(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = "成员职位发生变更"

  override def getInsertTitle(newMap: Map[String, String]): String = newMap("hid")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "主要成员", Array("hid", "staff_type"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("update_time")
}
