
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/11
 * @Description:
 */


//企业公告（上市公告）

case class company_stock_announcement(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("title"), s"${newMap("title")}企业公告发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("title"), s"新增${newMap("title")}企业公告")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "企业公告", Array("title", "time", "type"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("time")
}
