package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: XuJiakai
 * @Date: 2020/8/21 13:44
 * @Description:
 */
case class company_annual_report_out_investment() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    if ("1".equals(new_map("deleted"))) {
      return null
    }
    s"新增一家对外投资：${new_map.getOrElse("out_investment_name", "未知")}"
  }

  /*
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  /* override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(
     Seq("out_investment_cid", "out_investment_name", "reg_number", "credit_code"
     )
   )*/
}
