package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: XuJiakai
 * @Date: 2020/8/12 17:43
 * @Description: 融资历史
 */
case class company_finance() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
  s"""标题：${new_map.getOrElse("news_title", "")}
     |融资金额：${new_map.getOrElse("money", "")}
     |轮次：${new_map.getOrElse("round", "")}
     |占比：${new_map.getOrElse("percent", "")}""".stripMargin

  /*
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  /*override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "company_name->公司名称"
    , "finance_time->融资时间"
    , "money->融资金额"
    , "round->轮次"
    , "inverstors->投资人"
  ))*/
}
