package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/8/4
 * @Description
 */
//地块公示
case class company_land_publicity() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""标题：${new_map("title")}
       |项目名称：${new_map("project_name")}
       |地块位置：${new_map("location")}
       |公布日期：${new_map("publication_date")}""".stripMargin

  }
  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
//  override def get_change_time(new_map: Map[String, String]): String = new_map("biz_date")

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "2"
}