package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: XuJiakai
 * @Date: 2020/8/5 19:26
 * @Description: 主要成员
 */
case class company_staff() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = "新增一位主要成员"

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq("hid", "staff_type"))


}
