package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

case class company_zxr_list() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    if ("1".equals(new_map("deleted"))) {
      return null
    }
    new_map("case_no")
  }

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "4"

}
