package com.winhc.bigdata.spark.jobs.increment

import com.winhc.bigdata.spark.utils.SparkUtils
/**
 * @Author: Yan Yongina
 * @Date: 2020/6/19 14:04
 * @Description:Type1类型的增量数据复制方案:无cids的单表维度操作
 */
object IncDataCopySolution4Type1 {
  def main(args:Array[String]):Unit={
    if (args.length < 1) {
      println("please enter args:")
      println("1:source table")
      println("2:duplicate cols")
      println("3:delete cols")
      return
    }
    val sourceTable=args(0)
    val dupCols=args(1).split(",")
    val delCols=args(2).split(",")
    val spark = SparkUtils.InitEnv("company_env_punishment inc's data from ods to phoenix", null)
    CommonTableOps(spark,
      sourceTable,
//      Array("source_url"),
      dupCols,
//      Array("_update_cids","_update_id","_update_type","_update_createtime","_update_table","_update_updatefields","_update_primary_id"))
      delCols)
      .copySolution2ads4Type1("inc_")
    spark.stop()
  }
}
