package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 破产公告
 */
case class bankruptcy_open_case() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""案号：${new_map("case_no")}
       |申请人：${new_map("applicant")}
       |公开日期：${new_map("public_date")}""".stripMargin


}
