package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 专利
 */
case class company_patent_list() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""申请号：${new_map("app_number")}
       |公开公告号：${new_map("pub_number")}
       |专利名称：${new_map("title")}
       |公开公告日：${new_map("pub_date")}""".stripMargin



}
