package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/12/14
 * @Description: 增资记录
 */
case class increase_registered_capital_info() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""变更后资本：${new_map("content_after")}
       |变更前资本：${new_map("content_before")}
       |变更时间：${new_map("change_time")}""".stripMargin

  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("content_after")

    amtstr = processMoney(amtstr)

    amtstr


  }
}
