package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 有恢复执行案件-文书
 */
case class wenshu_detail_combine() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""案件名称：${new_map("title")}
       |案号：${new_map("case_no")}
       |法院：${new_map("court_name")}
       |判决日期：${new_map("judge_date")}""".stripMargin
  }

  override def get_conditional_filter(): String = {
    "AND  data['case_no'] like concat('%','恢','%')"
  }

  /**
   * 业务id
   *
   * @param rowkey
   * @return
   */
  override def get_biz_id(rowkey: String, new_map: Map[String, String]): String = {
    new_map("case_id")
  }


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("case_amt")

    amtstr = processMoney(amtstr)
    amtstr

  }
}
