package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 企业被执
 */
case class company_zxr_list() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""更新日期：${new_map("update_time")}
       |执行标的：${new_map("exec_money")}
       |案号：${new_map("case_no")}
       |立案日期：${new_map("case_create_time")}""".stripMargin


  override def org_type() = {
    Seq("update")
  }


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("exec_money")
    amtstr = processMoney(amtstr)
    amtstr = (amtstr.toDouble/10000 ).formatted("%.2f")
    amtstr


  }
}
