package com.winhc.bigdata.spark.ng.dynamic.utils

/**
 * @author: XuJiakai
 * @date: 2021/7/27 10:45
 */
case class Entity(name: String = null, keyno: String = null, info: String = null) {
  override def toString: String = {
    if (name == null) {
      return info
    }
    if (info == null) {
      s"""{"name":"$name","keyno":"$keyno"}"""
    } else {
      s"""{"name":"$name","keyno":"$keyno","info":"$info"}"""
    }
  }
}

case class ChangeContent(code: String, before: Entity, after: Entity, entity: Entity, flag: String = null)

case class BusinessInfoDynamicInfoMap(label: String, content: Seq[ChangeContent]) {
  def toMap(): Map[String, Any] = {
    Map("base" -> this)
  }
}


object BusinessInfoDynamicInfoMap {
  def main(args: Array[String]): Unit = {
  }
}