package com.winhc.bigdata.spark.ng.dynamic.utils

/**
 * @author: XuJiakai
 * @date: 2021/7/9 14:16
 *
 *        折叠字段的单独处理
 */
object CollapseKeyArgs {

  val map = Map(
    "company_punishment_info" -> Seq("company_punishment_info", "company_punishment_info_creditchina")
    ,"company_license" -> Seq("company_license", "company_license_entpub", "company_license_creditchina")
  )

  private val m = map.flatMap(r => r._2.map((_ -> r._1))).filter(r => !r._2.equals(r._1))

  def transform(tn: String): String = m.getOrElse(tn, tn)
}
