package com.winhc.bigdata.spark.ng.utils

import com.winhc.bigdata.spark.utils.BaseUtil

/**
 * @author: XuJiakai
 * @date: 2021/4/28 17:26
 */

case class GroupByInfoNg(field: String, value_alias: Seq[(String, String)])

case class SummaryArgs(table_name: String
                       , companyIdField: String
                       , field_prefix: String = null //如果没有 groupByInfo的话可使用此别名，默认为table_name
                       , distinctField: String = "rowkey"
                       , groupByInfo: GroupByInfoNg = null
                       , where: String = ""
                       , sortField: String = "ds"
                      ) {
  def winhc_hash(): String = {
    BaseUtil.cleanup(s"${table_name}_${companyIdField}_${BaseUtil.MD5hash(where)}").replaceAll("[\\(\\)（） ]", "")
  }
}
