package com.winhc.bigdata.spark.test

import com.winhc.bigdata.spark.utils.SparkUtils
import org.apache.spark.internal.Logging

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/5/25 08:39
 * @Description:
 */
object TestSparkSql extends Logging {
  def main(args: Array[String]): Unit = {
    logInfo("start。。。")
    val map = mutable.Map[String, String](
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )
    val spark = SparkUtils.InitEnv("test", map)
    import spark._
    val df1 = spark.createDataFrame(Seq((1, 2, 3))).toDF("col0", "col1", "col2")
    df1.show
    spark.stop()
  }

}
