package com.winhc.bigdata.spark.utils

import org.apache.commons.lang3.StringUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/6/29 10:51
 * @Description:
 */
@deprecated
object CompanyEsUtils {
  val pattern = "[^\\u4e00-\\u9fa50-9a-zA-Z]".r

  case class CompanyName(show: String, value: String)

  case class CompanyDoc(cname: CompanyName, current_id: String = null, history_name: Seq[CompanyName] = null, company_type: String)


  def getEsDoc(cid: String, cname: String, historyName: String, currentId: String, company_type: String): (String, CompanyDoc) = {
    var history_name: Seq[CompanyName] = null
    if (StringUtils.isNoneEmpty(historyName)) {
      history_name = historyName.split("\t;\t")
        .filter(!cname.equals(_))
        .filter(StringUtils.isNoneEmpty(_))
        .map(getCompanyName)
        .toSeq

      if (history_name.isEmpty) {
        history_name = null
      }
    }
    (cid, CompanyDoc(getCompanyName(cname), if (cid.equals(currentId)) null else currentId, history_name, company_type))
  }


  def getEsDoc(cid: String, cname: String, other_id_name: scala.collection.Map[String, String], new_cid: String, company_type: String): (String, CompanyDoc) = {
    var history_name: Seq[CompanyName] = null
    if (other_id_name != null) {
      history_name = other_id_name
        .filterKeys(!_.equals(new_cid))
        .filterKeys(!_.equals(cid))
        .values
        .map(getCompanyName)
        .toSeq
      if (history_name.isEmpty) {
        history_name = null
      }
    }
    (cid, CompanyDoc(getCompanyName(cname), if (cid.equals(new_cid)) null else new_cid, history_name, company_type))
  }

  private def getCompanyName(name: String): CompanyName = if (StringUtils.isEmpty(name)) null else CompanyName(name, pattern replaceAllIn(name, ""))
}
