package com.winhc.bigdata.spark.config

import com.winhc.bigdata.spark.const.EnvConst

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/6/5 09:53
 * @Description:
 */
object EsConfig {

  def getEsConfigMap: mutable.Map[String, String] = {
    val map = mutable.Map(
      "es.nodes.wan.only" -> "true",
      "es.internal.es.version" -> "5.5.3",
      "es.nodes" -> EnvConst.getEnv().getValue("es.nodes"),
      "es.port" -> "9200",
      "es.index.auto.create" -> "true",
      "es.net.http.auth.user" -> "elastic",
      "es.net.http.auth.pass" -> "elastic_168"
    )
    map
  }

}
