package com.winhc.bigdata.spark.implicits

import scala.language.implicitConversions

/**
 * @author ZhangJi
 * @since 2021-06-30 15:47
 */

case class Bool(b: Boolean) {
  def ?[X](t: => X) = new {
    def |(f: => X) = if (b) t else f
  }
}

object Bool {
  implicit def BooleanBool(b: Boolean): Bool = Bool(b)
}

