package com.winhc.bigdata.spark.implicits

import org.json4s.jackson.Serialization
import org.json4s.jackson.Serialization.write
import org.json4s.{Formats, NoTypeHints}

/**
 * @author: XuJiakai
 * @date: 2020/11/23 10:51
 */
object CaseClass2JsonHelper {
  implicit class CaseClass2JsonEnhancer[A <: AnyRef](that: A) {
    /* def toJson(): String ={
       implicit val formats: AnyRef with Formats = Serialization.formats(NoTypeHints)
       if(that==null){
        return null
       }
       write(that)
     }*/
    def toJson()(implicit formats: Formats = Serialization.formats(NoTypeHints)): String = {
      if (that == null) {
        return null
      }
      write(that)
    }
  }
}
