package com.winhc.bigdata.spark.implicits

import com.winhc.bigdata.spark.config.MysqlConfig
import org.apache.spark.sql.{DataFrame, SparkSession}

/**
 * @author: XuJiakai
 * @date: 2021/5/31 14:35
 */
object MysqlHelper {
  implicit class SparkSessionEnhancer(sparkSession: SparkSession) extends Serializable {
    def read(table: String): DataFrame = {
      val tuple = MysqlConfig.getMysqlConfig()
      sparkSession.read.jdbc(tuple._1, table, tuple._2)
    }
  }
}
