package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.utils.{CompanyIncrForCidUtils, CompanyIncrForCidsUtils, SparkUtils}
import org.apache.spark.sql.SparkSession

import scala.collection.mutable

/**
 * 增量数据更新
 * π
 */

object CompanyIncrForCids {

  //winhc_eci_dev company_copyright_reg company_copyright_reg_list reg_num,full_name,cat_num,new_cid
  //winhc_eci_dev company_copyright_works company_copyright_works_list reg_num,name,type,new_cid
  //winhc_eci_dev company_patent company_patent_list app_number,pub_number,title,new_cid
  def main(args: Array[String]): Unit = {

    val Array(project,mainTableName,sublistTableName,dupliCols) = args

    var config = mutable.Map(
      "spark.hadoop.odps.project.name" -> "winhc_eci_dev",
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )
    val spark: SparkSession = SparkUtils.InitEnv(this.getClass.getSimpleName, config)
    CompanyIncrForCidsUtils(spark,project,mainTableName,sublistTableName,dupliCols.split(",").seq).calc()
    spark.stop()
  }

}
