
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: yyn
 * @Date: 2020/8/13
 * @Description:
 */


//年报-对外担保

case class company_annual_report_out_guarantee(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = "对外担保发生变更"

  override def getInsertTitle(newMap: Map[String, String]): String = "新增对外担保"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "对外担保", Array("credito_type", "credito_amount", "credito_term", "guarantee_term", "guarantee_way"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("update_time")
}
