
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/19
 * @Description:
 */


//清算信息

case class company_liquidating_info(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = "清算信息发生变更"

  override def getInsertTitle(newMap: Map[String, String]): String = s"新增清算信息"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "清算信息", Array("manager", "member"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("update_time")
}
