package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

//被执行人
case class company_zxr_list(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("cname"), s"${newMap("cname")}被执行人发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("cname"), s"新增${newMap("cname")}被执行人")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap,"成为被执行人", Array("case_create_time", "case_no", "exec_money"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("case_create_time")
}
