package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: XuJiakai
 * @Date: 2020/8/12 18:50
 * @Description: 企业失信被执
 */
case class company_dishonest_info() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""失信人名称：${new_map("name")}
       |案号：${new_map("case_no")}
       |发布时间：${new_map("pub_date")}
       |履行情况：${new_map("performance")}""".stripMargin

  /*
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  /*override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
    "name->失信人名称"
    , "age->年龄"
    , "sexy->性别"
    , "case_no->案号"
    , "focus_num->关注数"
    , "card_num"
    , "legal_name->法人、负责人姓名"
    , "legal_name_id->法人标识"
    , "legal_name_type"
    , "staff->法定负责人/主要负责人信息"
    , "area->省份地区"
    , "court->法院"
    , "gist_dd->执行依据文号"
    , "reg_time->立案时间"
    , "gist_unit->做出执行的依据单位"
    , "duty->生效法律文书确定的义务"
    , "performance->履行情况"
    , "unperform_part->未履行"
    , "performed_part->已履行"
    , "action_content->失信被执行人行为具体情形"
    , "pub_date->发布时间"
    , "lawsuit_url"
    , "appro_time->与官网核准的时间"
  ))*/
}
