package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/7/27
 * @Description
 */
//环保处罚
case class company_env_punishment()extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""决定文书号：${new_map("punish_number")}
       |处罚单位：${new_map("department")}
       |处罚时间：${new_map("publish_time")}
       |违反法律：${new_map("law_break")}
       |执行情况：${new_map("execution")}""".stripMargin
  }
  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
//  override def get_change_time(new_map: Map[String, String]): String = new_map("biz_date")

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "3"
}