package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/12/14
 * @Description: 司法拍卖
 */
case class auction_tracking_list() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""标题：${new_map("auction_title")}
       |起拍价：${new_map("initial_price")}
       |拍卖时间：${new_map("end_time")}""".stripMargin


  //override def org_type(): Seq[String] = Seq("insert","update")


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("query_price")
    if (amtstr == null){
      "0"
    }else {
      amtstr = processMoney(amtstr)
      ((amtstr.toDouble)/ 10000).formatted("%.2f")
    }
  }

}
