package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 购地信息
 */
case class company_land_announcement() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""项目名称：${new_map("project_name")}
       |面积(公顷)：${new_map("area")}
       |成交价格(万元)：${new_map("tran_price")}
       |合同签订日期：${new_map("contract_date")}""".stripMargin


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("tran_price")
    amtstr = processMoney(amtstr)
    amtstr
  }

}
