package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2021/1/07 18:50
 * @Description: 询价评估结果
 */
case class zxr_evaluate_results() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""案号：${new_map("case_no")}
       |财产类型：${new_map("asset_type")}
       |财产名称：${new_map("asset_name")}
       |日期：${new_map("publish_time")}""".stripMargin


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("money")
    if (amtstr == null){
      "0"
    }else {
      var a1 = amtstr.replaceAll("\"|\\[|\\]", "").split(",").toArray.map(_.toDouble)
      var d = a1.sum / a1.length / 10000
      d.formatted("%.2f")
    }
  }
}
