package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 企业失信
 */
case class company_dishonest_info() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""案号：${new_map("case_no")}
       |履行情况：${new_map("performance")}
       |发布日期：${new_map("pub_date")}
       |失信行为：${new_map("action_content")}""".stripMargin

  override def org_type() = {
    Seq("update")
  }
}
