package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 股权出质人
 */
case class company_equity_info_list() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""股权出质登记日期：${new_map("reg_date")}
       |质权人：${new_map("pledgee")}
       |出质股权标的企业：${new_map("target")}
       |出质股权数额：${new_map("equity_amount")}""".stripMargin

  override def get_conditional_filter(): String = {
    "AND data['type'] = '1'"
  }


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("equity_amount")
    amtstr = processMoney(amtstr)
    amtstr
  }
}
