package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 动产抵押
 */
case class company_mortgage_info() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""登记编号：${new_map("reg_num")}
       |被担保债权数额：${new_map("amount")}
       |登记机关：${new_map("reg_department")}
       |状态：${new_map("status")}""".stripMargin



  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("amount")
    amtstr = processMoney(amtstr)
    amtstr
  }
}
