package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 商标
 */
case class company_tm() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""商标名：${new_map("tm_name")}
       |申请日期：${new_map("app_date")}
       |注册号：${new_map("reg_no")}
       |申请人：${new_map("applicant_cn")}""".stripMargin



}
