package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 限制消费令
 */
case class company_zxr_restrict() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""案号：${new_map("case_no")}
       |企业名称：${new_map("company_name")}
       |限制消费人名称：${new_map("name")}
       |执行法院名称：${new_map("court_name")}
       |立案日期：${new_map("case_create_time")}""".stripMargin

  override def org_type() = {
    Seq("update")
  }


}
