
package com.winhc.bigdata.spark.ng.change.table

import com.winhc.bigdata.spark.ng.change.NgCompanyChangeHandle

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:公司基本信息
 */

case class company(equCols: Seq[String],is_inc:Boolean) extends NgCompanyChangeHandle with Serializable {
  /**
   * 获取公司company_id，默认为rowkey前半段
   *
   * @param rowkey
   * @param newMap
   * @return
   */
  override protected def getCompanyId(rowkey: String, newMap: Map[String, String]): String = rowkey


  /**
   * 获取变更的业务时间
   *
   * @param newMap
   * @return
   */
  override protected def getBizDate(newMap: Map[String, String]): String = newMap("update_time")
}
