
package com.winhc.bigdata.spark.ng.change.table

import com.winhc.bigdata.spark.ng.change.NgCompanyChangeHandle
import com.winhc.bigdata.spark.utils.DateUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */
//商标
case class company_tm(equCols: Seq[String],is_inc:Boolean) extends NgCompanyChangeHandle {

  /**
   * 获取变更的业务时间
   *
   * @param newMap
   * @return
   */
  override protected def getBizDate(newMap: Map[String, String]): String = DateUtils.getBizDate(newMap("app_date"), newMap("update_time"))
}
