package com.winhc.bigdata.spark.ng.dynamic

import com.winhc.bigdata.spark.ng.utils.Enum

/**
 * @author: XuJiakai
 * @date: 2021/6/22 15:52
 */
object NgCompanyRiskLevelType extends Enum[String] {
  type NgCompanyRiskLevelType = Value //声明枚举对外暴露的变量类型
  val Positive: NgCompanyRiskLevelType = "0" //利好信息
  val Prompt: NgCompanyRiskLevelType = "1" //提示信息
  val Caution: NgCompanyRiskLevelType = "2" //警示信息
  val HighRisk: NgCompanyRiskLevelType = "3" //高风险
}
