

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.ng.dynamic.utils.{ComplexDailyDynamic, DailyAggHandle}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/7/13 15:07
 *        破产信息
 */
case class bankruptcy_open_case(is_inc: Boolean) extends DailyAggHandle with ComplexDailyDynamic {


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    getEntity(new_data("respondent_info"), id_key = "litigant_id", name_key = "name", NgCompanyRiskLevelType.HighRisk, null)
  }
}

