

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{ComplexDailyDynamic, DailyAggHandle}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/7/13 15:07
 *        股权冻结
 */
case class company_equity_info(is_inc:Boolean) extends DailyAggHandle with ComplexDailyDynamic {


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    getEntity(new_data.getOrEmptyStr("pledgor_info"),"pledgor_id","pledgor",NgCompanyRiskLevelType.Caution,"")++
      getEntity(new_data.getOrEmptyStr("pledgee_info"),"pledgee_id","pledgee",NgCompanyRiskLevelType.Prompt,"")
  }
}

