

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{DailyAggHandle, SimpleDailyDynamic}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/7/13 15:07
 *        限制出镜
 */
case class restrictions_on_exit(is_inc:Boolean) extends DailyAggHandle  with SimpleDailyDynamic{


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {

    Seq(
      AssociationEntityInfo(keyno = new_data.getOrEmptyStr("limited_person_pid")
        , name = new_data.getOrEmptyStr("limited_person")
        , risk_level = NgCompanyRiskLevelType.HighRisk, null)
      ,AssociationEntityInfo(keyno = new_data.getOrEmptyStr("executed_person_keyno")
        , name = new_data.getOrEmptyStr("executed_person_name")
        , risk_level = NgCompanyRiskLevelType.HighRisk, null)
    )

  }
}

