package com.winhc.bigdata.spark.udf

import com.winhc.bigdata.spark.const.CaseChanceConst
import org.apache.spark.sql.SparkSession

import scala.annotation.meta.getter

/**
 * @Author: XuJiakai
 * @Date: 2020/7/16 10:55
 * @Description:
 */
trait CaseChanceFunc {

  @(transient@getter) protected val spark: SparkSession

  def chance_dynamic_type(): Unit = {
    spark.udf.register("get_chance_dynamic_type", (tableName: String) => {
      if(CaseChanceConst.CHANCE_DYNAMIC_TYPE.contains(tableName)){
        CaseChanceConst.CHANCE_DYNAMIC_TYPE(tableName)
      }else{
        "0"
      }
    })

    spark.udf.register("get_table_type", (tableName: String) => {
      CaseChanceConst.TABLE_2_TYPE(tableName)
    })
  }

}
