package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.implicits.CaseClass2JsonHelper._

/**
 * @author: π
 * @date: 2021/1/11
 */
case class company_node(id: String, name: String, deleted: String, topic_type: String)

case class person_node(id: String, name: String, deleted: String, topic_type: String)

case class relation_holder(start_id: String, start_name: String, end_id: String,
                           end_name: String, percent: String, deleted: String, holder_type: String, topic_type: String)

case class relation_staff(start_id: String, start_name: String, end_id: String,
                          end_name: String, staff_type: String, deleted: String, topic_type: String)

case class relation_legal_entity(start_id: String, start_name: String, end_id: String,
                                 end_name: String, deleted: String, legal_entity_type: String, topic_type: String)

case class success_status(ds: String, status: String, topic_type: String)

case class table_message(person_id: String, rowkey: String, table: String)

object CompanyRelationUtils {

  def get_company_node(id: String, name: String, deleted: String, topic_type: String): String =
    company_node(id, name, deleted, topic_type).toJson()

  def get_person_node(id: String, name: String, deleted: String, topic_type: String): String =
    person_node(id, name, deleted, topic_type).toJson()

  def get_relation_holder(start_id: String, start_name: String, end_id: String,
                          end_name: String, percent: String, deleted: String, holder_type: String, topic_type: String): String =
    relation_holder(start_id, start_name, end_id, end_name, percent, deleted, holder_type, topic_type).toJson()

  def get_relation_staff(start_id: String, start_name: String, end_id: String,
                         end_name: String, staff_type: String, deleted: String, topic_type: String): String =
    relation_staff(start_id, start_name, end_id, end_name, staff_type, deleted, topic_type).toJson()

  def get_relation_legal_entity(start_id: String, start_name: String, end_id: String,
                                end_name: String, deleted: String, legal_entity_type: String, topic_type: String): String =
    relation_legal_entity(start_id, start_name, end_id, end_name, deleted, legal_entity_type, topic_type).toJson()

  def get_success_status(ds: String, status: String, topic_type: String): String =
    success_status(ds, status, topic_type).toJson()

  def get_table_message(person_id: String, rowkey: String, table: String): String =
    table_message(person_id, rowkey, table).toJson()
}
