package com.winhc.bigdata.spark.utils

/**
 * @author: XuJiakai
 * @date: 2020/11/30 15:12
 */
case class category(cate_first_code: String, cate_first: String, cate_second_code: String, cate_second: String, cate_third_code: String, cate_third: String)

object category {
  val category_code = Map(
    "823" -> category("25", "教育", "19", "教育", "531", "中等教育")
    , "396" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "530", "电子器件制造")
    , "314" -> category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "529", "钢压延加工")
    , "82" -> category("14", "采矿业", "28", "黑色金属矿采选业", "528", "锰矿、铬矿采选")
    , "411" -> category("11", "制造业", "67", "其他制造业", "527", "日用杂品制造")
    , "893" -> category("18", "文化、体育和娱乐业", "37", "娱乐业", "526", "彩票活动")
    , "521" -> category("20", "批发和零售业", "60", "零售业", "525", "综合零售")
    , "883" -> category("18", "文化、体育和娱乐业", "13", "体育", "524", "休闲健身活动")
    , "802" -> category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "523", "计算机和办公设备维修")
    , "485" -> category("12", "建筑业", "104", "土木工程建筑业", "522", "架线和管道工程建筑")
    , "203" -> category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "521", "木制品制造")
    , "862" -> category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "520", "电视")
    , "223" -> category("11", "制造业", "39", "造纸和纸制品业", "519", "纸制品制造")
    , "142" -> category("11", "制造业", "40", "食品制造业", "518", "糖果、巧克力及蜜饯制造")
    , "819" -> category("17", "居民服务、修理和其他服务业", "14", "其他服务业", "517", "其他未列明服务业")
    , "276" -> category("11", "制造业", "53", "医药制造业", "516", "生物药品制造")
    , "332" -> category("11", "制造业", "64", "金属制品业", "515", "金属工具制造")
    , "492" -> category("12", "建筑业", "59", "建筑安装业", "514", "管道和设备安装")
    , "484" -> category("12", "建筑业", "104", "土木工程建筑业", "513", "工矿工程建筑")
    , "174" -> category("11", "制造业", "12", "纺织业", "512", "丝绢纺织及印染精加工")
    , "333" -> category("11", "制造业", "64", "金属制品业", "511", "集装箱及金属包装容器制造")
    , "871" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "510", "文艺创作与表演")
    , "735" -> category("27", "科学研究和技术服务业", "61", "研究和试验发展", "509", "社会人文科学研究")
    , "822" -> category("25", "教育", "19", "教育", "508", "初等教育")
    , "267" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "507", "炸药、火工及焰火产品制造")
    , "231" -> category("11", "制造业", "87", "印刷和记录媒介复制业", "506", "印刷")
    , "375" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "505", "摩托车制造")
    , "421" -> category("11", "制造业", "71", "废弃资源综合利用业", "504", "金属废料和碎屑加工处理")
    , "364" -> category("11", "制造业", "101", "汽车制造业", "503", "电车制造")
    , "922" -> category("19", "公共管理、社会保障和社会组织", "27", "人民政协、民主党派", "502", "民主党派")
    , "502" -> category("12", "建筑业", "20", "建筑装饰和其他建筑业", "501", "工程准备活动")
    , "169" -> category("11", "制造业", "96", "烟草制品业", "500", "其他烟草制品制造")
    , "633" -> category("10", "信息传输、软件和信息技术服务业", "85", "电信、广播电视和卫星传输服务", "499", "卫星传输服务")
    , "349" -> category("11", "制造业", "31", "通用设备制造业", "498", "其他通用设备制造业")
    , "649" -> category("10", "信息传输、软件和信息技术服务业", "94", "互联网和相关服务", "497", "其他互联网服务")
    , "839" -> category("23", "卫生和社会工作", "32", "卫生", "496", "其他卫生活动")
    , "744" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "495", "测绘服务")
    , "371" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "494", "铁路运输设备制造")
    , "749" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "493", "其他专业技术服务业")
    , "783" -> category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "492", "城乡市容管理")
    , "33" -> category("29", "农、林、牧、渔业", "95", "畜牧业", "491", "狩猎和捕捉动物")
    , "152" -> category("11", "制造业", "47", "酒、饮料和精制茶制造业", "490", "饮料制造")
    , "39" -> category("29", "农、林、牧、渔业", "95", "畜牧业", "489", "其他畜牧业")
    , "664" -> category("24", "金融业", "45", "货币金融服务", "488", "银行监管服务")
    , "377" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "487", "非公路休闲车及零配件制造")
    , "489" -> category("12", "建筑业", "104", "土木工程建筑业", "486", "其他土木工程建筑")
    , "841" -> category("23", "卫生和社会工作", "57", "社会工作", "485", "提供住宿社会工作")
    , "682" -> category("24", "金融业", "34", "保险业", "484", "财产保险")
    , "263" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "483", "农药制造")
    , "582" -> category("16", "交通运输、仓储和邮政业", "25", "装卸搬运和运输代理业", "482", "运输代理业")
    , "542" -> category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "481", "公路旅客运输")
    , "53" -> category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "480", "畜牧服务业")
    , "689" -> category("24", "金融业", "34", "保险业", "479", "其他保险活动")
    , "385" -> category("11", "制造业", "82", "电气机械和器材制造业", "478", "家用电力器具制造")
    , "413" -> category("11", "制造业", "67", "其他制造业", "477", "核辐射加工")
    , "161" -> category("11", "制造业", "96", "烟草制品业", "476", "烟叶复烤")
    , "462" -> category("22", "电力、热力、燃气及水生产和供应业", "83", "水的生产和供应业", "475", "污水处理及其再生利用")
    , "181" -> category("11", "制造业", "38", "纺织服装、服饰业", "474", "机织服装制造")
    , "409" -> category("11", "制造业", "52", "仪器仪表制造业", "473", "其他仪器仪表制造业")
    , "402" -> category("11", "制造业", "52", "仪器仪表制造业", "472", "专用仪器仪表制造")
    , "531" -> category("16", "交通运输、仓储和邮政业", "48", "铁路运输业", "471", "铁路旅客运输")
    , "315" -> category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "470", "铁合金冶炼")
    , "861" -> category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "469", "广播")
    , "743" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "468", "海洋服务")
    , "102" -> category("14", "采矿业", "99", "非金属矿采选业", "467", "化学矿开采")
    , "519" -> category("20", "批发和零售业", "81", "批发业", "466", "其他批发业")
    , "701" -> category("26", "房地产业", "43", "房地产业", "465", "房地产开发经营")
    , "491" -> category("12", "建筑业", "59", "建筑安装业", "464", "电气安装")
    , "213" -> category("11", "制造业", "66", "家具制造业", "463", "金属家具制造")
    , "431" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "462", "金属制品修理")
    , "642" -> category("10", "信息传输、软件和信息技术服务业", "94", "互联网和相关服务", "461", "互联网信息服务")
    , "734" -> category("27", "科学研究和技术服务业", "61", "研究和试验发展", "460", "医学研究和试验发展")
    , "347" -> category("11", "制造业", "31", "通用设备制造业", "459", "文化、办公用机械制造")
    , "872" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "458", "艺术表演场馆")
    , "193" -> category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "457", "毛皮鞣制及制品加工")
    , "381" -> category("11", "制造业", "82", "电气机械和器材制造业", "456", "电机制造")
    , "799" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "455", "其他居民服务业")
    , "726" -> category("28", "租赁和商务服务业", "63", "商务服务业", "454", "人力资源服务")
    , "353" -> category("11", "制造业", "55", "专用设备制造业", "453", "食品、饮料、烟草及饲料生产专用设备制造　　　")
    , "322" -> category("11", "制造业", "76", "有色金属冶炼和压延加工业", "452", "贵金属冶炼")
    , "882" -> category("18", "文化、体育和娱乐业", "13", "体育", "451", "体育场馆")
    , "612" -> category("21", "住宿和餐饮业", "93", "住宿业", "450", "一般旅馆")
    , "832" -> category("23", "卫生和社会工作", "32", "卫生", "449", "社区医疗与卫生院")
    , "524" -> category("20", "批发和零售业", "60", "零售业", "448", "文化、体育用品及器材专门零售")
    , "272" -> category("11", "制造业", "53", "医药制造业", "447", "化学药品制剂制造")
    , "693" -> category("24", "金融业", "90", "其他金融业", "446", "非金融机构支付服务")
    , "252" -> category("11", "制造业", "70", "石油加工、炼焦和核燃料加工业", "445", "炼焦")
    , "631" -> category("10", "信息传输、软件和信息技术服务业", "85", "电信、广播电视和卫星传输服务", "444", "电信")
    , "268" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "443", "日用化学产品制造")
    , "952" -> category("19", "公共管理、社会保障和社会组织", "21", "基层群众自治组织", "442", "村民自治组织")
    , "271" -> category("11", "制造业", "53", "医药制造业", "441", "化学药品原料药制造")
    , "441" -> category("22", "电力、热力、燃气及水生产和供应业", "74", "电力、热力生产和供应业", "440", "电力生产")
    , "172" -> category("11", "制造业", "12", "纺织业", "439", "毛纺织及染整精加工")
    , "732" -> category("27", "科学研究和技术服务业", "61", "研究和试验发展", "438", "工程和技术研究和试验发展")
    , "422" -> category("11", "制造业", "71", "废弃资源综合利用业", "437", "非金属废料和碎屑加工处理")
    , "195" -> category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "436", "制鞋业")
    , "354" -> category("11", "制造业", "55", "专用设备制造业", "435", "印刷、制药、日化及日用品生产专用设备制造")
    , "762" -> category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "434", "水资源管理")
    , "14" -> category("29", "农、林、牧、渔业", "62", "农业", "433", "蔬菜、食用菌及园艺作物种植")
    , "873" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "432", "图书馆与档案馆")
    , "173" -> category("11", "制造业", "12", "纺织业", "431", "麻纺织及染整精加工")
    , "526" -> category("20", "批发和零售业", "60", "零售业", "430", "汽车、摩托车、燃料及零配件专门零售")
    , "752" -> category("27", "科学研究和技术服务业", "97", "科技推广和应用服务业", "429", "科技中介服务")
    , "792" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "428", "托儿所服务")
    , "91" -> category("14", "采矿业", "36", "有色金属矿采选业", "427", "常用有色金属矿采选")
    , "13" -> category("29", "农、林、牧、渔业", "62", "农业", "426", "棉、麻、糖、烟草种植")
    , "359" -> category("11", "制造业", "55", "专用设备制造业", "425", "环保、社会公共服务及其他专用设备制造")
    , "146" -> category("11", "制造业", "40", "食品制造业", "424", "调味品、发酵制品制造")
    , "911" -> category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "423", "国家权力机构")
    , "652" -> category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "422", "信息系统集成服务")
    , "837" -> category("23", "卫生和社会工作", "32", "卫生", "421", "疾病预防控制中心")
    , "304" -> category("11", "制造业", "73", "非金属矿物制品业", "420", "玻璃制造")
    , "334" -> category("11", "制造业", "64", "金属制品业", "419", "金属丝绳及其制品制造")
    , "684" -> category("24", "金融业", "34", "保险业", "418", "养老金")
    , "951" -> category("19", "公共管理、社会保障和社会组织", "21", "基层群众自治组织", "417", "社区自治组织")
    , "653" -> category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "416", "信息技术咨询服务")
    , "399" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "415", "其他电子设备制造")
    , "436" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "414", "仪器仪表修理")
    , "727" -> category("28", "租赁和商务服务业", "63", "商务服务业", "413", "旅行社及相关服务")
    , "842" -> category("23", "卫生和社会工作", "57", "社会工作", "412", "不提供住宿社会工作")
    , "544" -> category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "411", "道路运输辅助活动")
    , "19" -> category("29", "农、林、牧、渔业", "62", "农业", "410", "其他农业")
    , "728" -> category("28", "租赁和商务服务业", "63", "商务服务业", "409", "安全保护服务")
    , "461" -> category("22", "电力、热力、燃气及水生产和供应业", "83", "水的生产和供应业", "408", "自来水生产和供应")
    , "450" -> category("22", "电力、热力、燃气及水生产和供应业", "80", "燃气生产和供应业", "407", "燃气生产和供应业")
    , "692" -> category("24", "金融业", "90", "其他金融业", "406", "控股公司服务")
    , "361" -> category("11", "制造业", "101", "汽车制造业", "405", "汽车整车制造")
    , "894" -> category("18", "文化、体育和娱乐业", "37", "娱乐业", "404", "文化、娱乐、体育经纪代理")
    , "277" -> category("11", "制造业", "53", "医药制造业", "403", "卫生材料及医药用品制造")
    , "143" -> category("11", "制造业", "40", "食品制造业", "402", "方便食品制造")
    , "835" -> category("23", "卫生和社会工作", "32", "卫生", "401", "妇幼保健院（所、站）")
    , "601" -> category("16", "交通运输、仓储和邮政业", "65", "邮政业", "400", "邮政基本服务")
    , "21" -> category("29", "农、林、牧、渔业", "102", "林业", "399", "林木育种和育苗")
    , "337" -> category("11", "制造业", "64", "金属制品业", "398", "搪瓷制品制造")
    , "323" -> category("11", "制造业", "76", "有色金属冶炼和压延加工业", "397", "稀有稀土金属冶炼")
    , "811" -> category("17", "居民服务、修理和其他服务业", "14", "其他服务业", "396", "清洁服务")
    , "672" -> category("24", "金融业", "86", "资本市场服务", "395", "期货市场服务")
    , "345" -> category("11", "制造业", "31", "通用设备制造业", "394", "轴承、齿轮和传动部件制造")
    , "759" -> category("27", "科学研究和技术服务业", "97", "科技推广和应用服务业", "393", "其他科技推广和应用服务业")
    , "403" -> category("11", "制造业", "52", "仪器仪表制造业", "392", "钟表与计时仪器制造")
    , "103" -> category("14", "采矿业", "99", "非金属矿采选业", "391", "采盐")
    , "242" -> category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "390", "乐器制造")
    , "733" -> category("27", "科学研究和技术服务业", "61", "研究和试验发展", "389", "农业科学研究和试验发展")
    , "412" -> category("11", "制造业", "67", "其他制造业", "388", "煤制品制造")
    , "275" -> category("11", "制造业", "53", "医药制造业", "387", "兽用药品制造")
    , "265" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "386", "合成材料制造")
    , "533" -> category("16", "交通运输、仓储和邮政业", "48", "铁路运输业", "385", "铁路运输辅助活动")
    , "324" -> category("11", "制造业", "76", "有色金属冶炼和压延加工业", "384", "有色金属合金制造")
    , "308" -> category("11", "制造业", "73", "非金属矿物制品业", "383", "耐火材料制品制造")
    , "112" -> category("14", "采矿业", "69", "开采辅助活动", "382", "石油和天然气开采辅助活动")
    , "528" -> category("20", "批发和零售业", "60", "零售业", "381", "五金、家具及室内装饰材料专门零售")
    , "798" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "380", "殡葬服务")
    , "944" -> category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "379", "宗教组织")
    , "943" -> category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "378", "基金会")
    , "69" -> category("14", "采矿业", "98", "煤炭开采和洗选业", "377", "其他煤炭采选")
    , "829" -> category("25", "教育", "19", "教育", "376", "技能培训、教育辅助及其他教育")
    , "482" -> category("12", "建筑业", "104", "土木工程建筑业", "375", "水利和内河港口工程建筑")
    , "796" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "374", "保健服务")
    , "561" -> category("16", "交通运输、仓储和邮政业", "16", "航空运输业", "373", "航空客货运输")
    , "619" -> category("21", "住宿和餐饮业", "93", "住宿业", "372", "其他住宿业")
    , "251" -> category("11", "制造业", "70", "石油加工、炼焦和核燃料加工业", "371", "精炼石油产品制造")
    , "12" -> category("29", "农、林、牧、渔业", "62", "农业", "370", "豆类、油料和薯类种植")
    , "941" -> category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "369", "群众团体")
    , "374" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "368", "航空、航天器及设备制造")
    , "825" -> category("25", "教育", "19", "教育", "367", "特殊教育")
    , "512" -> category("20", "批发和零售业", "81", "批发业", "366", "食品、饮料及烟草制品批发")
    , "17" -> category("29", "农、林、牧、渔业", "62", "农业", "365", "中药材种植")
    , "623" -> category("21", "住宿和餐饮业", "100", "餐饮业", "364", "饮料及冷饮服务")
    , "382" -> category("11", "制造业", "82", "电气机械和器材制造业", "363", "输配电及控制设备制造")
    , "599" -> category("16", "交通运输、仓储和邮政业", "79", "仓储业", "362", "其他仓储业")
    , "797" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "361", "婚姻服务")
    , "162" -> category("11", "制造业", "96", "烟草制品业", "360", "卷烟制造")
    , "824" -> category("25", "教育", "19", "教育", "359", "高等教育")
    , "529" -> category("20", "批发和零售业", "60", "零售业", "358", "货摊、无店铺及其他零售业")
    , "960" -> category("13", "国际组织", "41", "国际组织", "357", "国际组织")
    , "551" -> category("16", "交通运输、仓储和邮政业", "77", "水上运输业", "356", "水上旅客运输")
    , "192" -> category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "355", "皮革制品制造")
    , "769" -> category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "354", "其他水利管理业")
    , "325" -> category("11", "制造业", "76", "有色金属冶炼和压延加工业", "353", "有色金属铸造")
    , "204" -> category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "352", "竹、藤、棕、草等制品制造")
    , "679" -> category("24", "金融业", "86", "资本市场服务", "351", "其他资本市场服务")
    , "522" -> category("20", "批发和零售业", "60", "零售业", "350", "食品、饮料及烟草制品专门零售")
    , "305" -> category("11", "制造业", "73", "非金属矿物制品业", "349", "玻璃制品制造")
    , "876" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "348", "烈士陵园、纪念馆")
    , "81" -> category("14", "采矿业", "28", "黑色金属矿采选业", "347", "铁矿采选")
    , "711" -> category("28", "租赁和商务服务业", "78", "租赁业", "346", "机械设备租赁")
    , "794" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "345", "理发及美容服务")
    , "900" -> category("19", "公共管理、社会保障和社会组织", "30", "中国共产党机关", "344", "中国共产党机关")
    , "654" -> category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "343", "数据处理和存储服务")
    , "201" -> category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "342", "木材加工")
    , "356" -> category("11", "制造业", "55", "专用设备制造业", "341", "电子和电工机械专用设备制造")
    , "671" -> category("24", "金融业", "86", "资本市场服务", "340", "证券市场服务")
    , "389" -> category("11", "制造业", "82", "电气机械和器材制造业", "339", "其他电气机械及器材制造")
    , "763" -> category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "338", "天然水收集与分配")
    , "930" -> category("19", "公共管理、社会保障和社会组织", "23", "社会保障", "337", "社会保障")
    , "383" -> category("11", "制造业", "82", "电气机械和器材制造业", "336", "电线、电缆、光缆及电工器材制造")
    , "222" -> category("11", "制造业", "39", "造纸和纸制品业", "335", "造纸")
    , "379" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "334", "潜水救捞及其他未列明运输设备制造")
    , "274" -> category("11", "制造业", "53", "医药制造业", "333", "中成药生产")
    , "747" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "332", "地质勘查")
    , "942" -> category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "331", "社会团体")
    , "470" -> category("12", "建筑业", "18", "房屋建筑业", "330", "房屋建筑业")
    , "171" -> category("11", "制造业", "12", "纺织业", "329", "棉纺织及印染精加工")
    , "341" -> category("11", "制造业", "31", "通用设备制造业", "328", "锅炉及原动设备制造")
    , "22" -> category("29", "农、林、牧、渔业", "102", "林业", "327", "造林和更新")
    , "683" -> category("24", "金融业", "34", "保险业", "326", "再保险")
    , "365" -> category("11", "制造业", "101", "汽车制造业", "325", "汽车车身、挂车制造")
    , "889" -> category("18", "文化、体育和娱乐业", "13", "体育", "324", "其他体育")
    , "746" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "323", "环境与生态监测")
    , "663" -> category("24", "金融业", "45", "货币金融服务", "322", "非货币银行服务")
    , "851" -> category("18", "文化、体育和娱乐业", "54", "新闻和出版业", "321", "新闻业")
    , "273" -> category("11", "制造业", "53", "医药制造业", "320", "中药饮片加工")
    , "313" -> category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "319", "黑色金属铸造")
    , "23" -> category("29", "农、林、牧、渔业", "102", "林业", "318", "森林经营和管护")
    , "723" -> category("28", "租赁和商务服务业", "63", "商务服务业", "317", "咨询与调查")
    , "704" -> category("26", "房地产业", "43", "房地产业", "316", "自有房地产经营活动")
    , "302" -> category("11", "制造业", "73", "非金属矿物制品业", "315", "石膏、水泥制品及类似制品制造")
    , "541" -> category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "314", "城市公共交通运输")
    , "306" -> category("11", "制造业", "73", "非金属矿物制品业", "313", "玻璃纤维和玻璃纤维增强塑料制品制造")
    , "303" -> category("11", "制造业", "73", "非金属矿物制品业", "312", "砖瓦、石材等建筑材料制造")
    , "52" -> category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "311", "林业服务业")
    , "785" -> category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "310", "公园和游览景区管理")
    , "175" -> category("11", "制造业", "12", "纺织业", "309", "化纤织造及印染精加工")
    , "655" -> category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "308", "集成电路设计")
    , "392" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "307", "通信设备制造")
    , "632" -> category("10", "信息传输、软件和信息技术服务业", "85", "电信、广播电视和卫星传输服务", "306", "广播电视传输服务")
    , "291" -> category("11", "制造业", "103", "橡胶和塑料制品业", "305", "橡胶制品业")
    , "395" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "304", "视听设备制造")
    , "709" -> category("26", "房地产业", "43", "房地产业", "303", "其他房地产业")
    , "281" -> category("11", "制造业", "33", "化学纤维制造业", "302", "纤维素纤维原料及纤维制造")
    , "674" -> category("24", "金融业", "86", "资本市场服务", "301", "资本投资服务")
    , "722" -> category("28", "租赁和商务服务业", "63", "商务服务业", "300", "法律服务")
    , "343" -> category("11", "制造业", "31", "通用设备制造业", "299", "物料搬运设备制造")
    , "912" -> category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "298", "国家行政机构")
    , "136" -> category("11", "制造业", "51", "农副食品加工业", "297", "水产品加工")
    , "261" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "296", "基础化学原料制造")
    , "913" -> category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "295", "人民法院和人民检察院")
    , "266" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "294", "专用化学产品制造")
    , "139" -> category("11", "制造业", "51", "农副食品加工业", "293", "其他农副食品加工")
    , "363" -> category("11", "制造业", "101", "汽车制造业", "292", "低速载货汽车制造")
    , "863" -> category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "291", "电影和影视节目制作")
    , "793" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "290", "洗染服务")
    , "307" -> category("11", "制造业", "73", "非金属矿物制品业", "289", "陶瓷制品制造")
    , "501" -> category("12", "建筑业", "20", "建筑装饰和其他建筑业", "288", "建筑装饰业")
    , "629" -> category("21", "住宿和餐饮业", "100", "餐饮业", "287", "其他餐饮业")
    , "24" -> category("29", "农、林、牧、渔业", "102", "林业", "286", "木材和竹材采运")
    , "803" -> category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "285", "家用电器修理")
    , "241" -> category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "284", "文教办公用品制造")
    , "120" -> category("14", "采矿业", "72", "其他采矿业", "283", "其他采矿业")
    , "516" -> category("20", "批发和零售业", "81", "批发业", "282", "矿产品、建材及化工产品批发")
    , "852" -> category("18", "文化、体育和娱乐业", "54", "新闻和出版业", "281", "出版业")
    , "233" -> category("11", "制造业", "87", "印刷和记录媒介复制业", "280", "记录媒介复制")
    , "312" -> category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "279", "炼钢")
    , "11" -> category("29", "农、林、牧、渔业", "62", "农业", "278", "谷物种植")
    , "101" -> category("14", "采矿业", "99", "非金属矿采选业", "277", "土砂石开采")
    , "509" -> category("12", "建筑业", "20", "建筑装饰和其他建筑业", "276", "其他未列明建筑业")
    , "25" -> category("29", "农、林、牧、渔业", "102", "林业", "275", "林产品采集")
    , "527" -> category("20", "批发和零售业", "60", "零售业", "274", "家用电器及电子产品专门零售")
    , "725" -> category("28", "租赁和商务服务业", "63", "商务服务业", "273", "知识产权服务")
    , "686" -> category("24", "金融业", "34", "保险业", "272", "保险监管服务")
    , "791" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "271", "家庭服务")
    , "662" -> category("24", "金融业", "45", "货币金融服务", "270", "货币银行服务")
    , "387" -> category("11", "制造业", "82", "电气机械和器材制造业", "269", "照明器具制造")
    , "51" -> category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "268", "农业服务业")
    , "346" -> category("11", "制造业", "31", "通用设备制造业", "267", "烘炉、风机、衡器、包装等设备制造")
    , "731" -> category("27", "科学研究和技术服务业", "61", "研究和试验发展", "266", "自然科学研究和试验发展")
    , "262" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "265", "肥料制造")
    , "703" -> category("26", "房地产业", "43", "房地产业", "264", "房地产中介服务")
    , "513" -> category("20", "批发和零售业", "81", "批发业", "263", "纺织、服装及家庭用品批发")
    , "748" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "262", "工程技术")
    , "245" -> category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "261", "玩具制造")
    , "641" -> category("10", "信息传输、软件和信息技术服务业", "94", "互联网和相关服务", "260", "互联网接入及相关服务")
    , "177" -> category("11", "制造业", "12", "纺织业", "259", "家用纺织制成品制造")
    , "394" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "258", "雷达及配套设备制造")
    , "135" -> category("11", "制造业", "51", "农副食品加工业", "257", "屠宰及肉类加工")
    , "691" -> category("24", "金融业", "90", "其他金融业", "256", "金融信托与管理服务")
    , "309" -> category("11", "制造业", "73", "非金属矿物制品业", "255", "石墨及其他非金属矿物制品制造")
    , "419" -> category("11", "制造业", "67", "其他制造业", "254", "其他未列明制造业")
    , "622" -> category("21", "住宿和餐饮业", "100", "餐饮业", "253", "快餐服务")
    , "144" -> category("11", "制造业", "40", "食品制造业", "252", "乳制品制造")
    , "433" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "251", "专用设备修理")
    , "721" -> category("28", "租赁和商务服务业", "63", "商务服务业", "250", "企业管理服务")
    , "145" -> category("11", "制造业", "40", "食品制造业", "249", "罐头食品制造")
    , "439" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "248", "其他机械和设备修理业")
    , "469" -> category("22", "电力、热力、燃气及水生产和供应业", "83", "水的生产和供应业", "247", "其他水的处理、利用与分配")
    , "358" -> category("11", "制造业", "55", "专用设备制造业", "246", "医疗仪器设备及器械制造")
    , "357" -> category("11", "制造业", "55", "专用设备制造业", "245", "农、林、牧、渔专用机械制造")
    , "342" -> category("11", "制造业", "31", "通用设备制造业", "244", "金属加工机械制造")
    , "782" -> category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "243", "环境卫生管理")
    , "72" -> category("14", "采矿业", "75", "石油和天然气开采业", "242", "天然气开采")
    , "335" -> category("11", "制造业", "64", "金属制品业", "241", "建筑、安全用金属制品制造")
    , "784" -> category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "240", "绿化管理")
    , "336" -> category("11", "制造业", "64", "金属制品业", "239", "金属表面处理及热处理加工")
    , "809" -> category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "238", "其他日用产品修理业")
    , "891" -> category("18", "文化、体育和娱乐业", "37", "娱乐业", "237", "室内娱乐活动")
    , "221" -> category("11", "制造业", "39", "造纸和纸制品业", "236", "纸浆制造")
    , "264" -> category("11", "制造业", "22", "化学原料和化学制品制造业", "235", "涂料、油墨、颜料及类似产品制造")
    , "311" -> category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "234", "炼铁")
    , "92" -> category("14", "采矿业", "36", "有色金属矿采选业", "233", "贵金属矿采选")
    , "694" -> category("24", "金融业", "90", "其他金融业", "232", "金融信息服务")
    , "183" -> category("11", "制造业", "38", "纺织服装、服饰业", "231", "服饰制造")
    , "919" -> category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "230", "其他国家机构")
    , "685" -> category("24", "金融业", "34", "保险业", "229", "保险经纪与代理服务")
    , "352" -> category("11", "制造业", "55", "专用设备制造业", "228", "化工、木材、非金属加工专用设备制造")
    , "821" -> category("25", "教育", "19", "教育", "227", "学前教育")
    , "321" -> category("11", "制造业", "76", "有色金属冶炼和压延加工业", "226", "常用有色金属冶炼")
    , "15" -> category("29", "农、林、牧、渔业", "62", "农业", "225", "水果种植")
    , "503" -> category("12", "建筑业", "20", "建筑装饰和其他建筑业", "224", "提供施工设备服务")
    , "391" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "223", "计算机制造")
    , "481" -> category("12", "建筑业", "104", "土木工程建筑业", "222", "铁路、道路、隧道和桥梁工程建筑")
    , "344" -> category("11", "制造业", "31", "通用设备制造业", "221", "泵、阀门、压缩机及类似机械制造")
    , "373" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "220", "船舶及相关装置制造")
    , "483" -> category("12", "建筑业", "104", "土木工程建筑业", "219", "海洋工程建筑")
    , "61" -> category("14", "采矿业", "98", "煤炭开采和洗选业", "218", "烟煤和无烟煤开采洗选")
    , "525" -> category("20", "批发和零售业", "60", "零售业", "217", "医药及医疗器材专门零售")
    , "149" -> category("11", "制造业", "40", "食品制造业", "216", "其他食品制造")
    , "865" -> category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "215", "电影放映")
    , "404" -> category("11", "制造业", "52", "仪器仪表制造业", "214", "光学仪器及眼镜制造")
    , "712" -> category("28", "租赁和商务服务业", "78", "租赁业", "213", "文化及日用品出租")
    , "699" -> category("24", "金融业", "90", "其他金融业", "212", "其他未列明金融业")
    , "741" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "211", "气象服务")
    , "435" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "210", "电气设备修理")
    , "62" -> category("14", "采矿业", "98", "煤炭开采和洗选业", "209", "褐煤开采洗选")
    , "253" -> category("11", "制造业", "70", "石油加工、炼焦和核燃料加工业", "208", "核燃料加工")
    , "384" -> category("11", "制造业", "82", "电气机械和器材制造业", "207", "电池制造")
    , "244" -> category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "206", "体育用品制造")
    , "921" -> category("19", "公共管理、社会保障和社会组织", "27", "人民政协、民主党派", "205", "人民政协")
    , "401" -> category("11", "制造业", "52", "仪器仪表制造业", "204", "通用仪器仪表制造")
    , "397" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "203", "电子元件制造")
    , "881" -> category("18", "文化、体育和娱乐业", "13", "体育", "202", "体育组织")
    , "570" -> category("16", "交通运输、仓储和邮政业", "105", "管道运输业", "201", "管道运输业")
    , "532" -> category("16", "交通运输、仓储和邮政业", "48", "铁路运输业", "200", "铁路货物运输")
    , "833" -> category("23", "卫生和社会工作", "32", "卫生", "199", "门诊部（所）")
    , "326" -> category("11", "制造业", "76", "有色金属冶炼和压延加工业", "198", "有色金属压延加工")
    , "591" -> category("16", "交通运输、仓储和邮政业", "79", "仓储业", "197", "谷物、棉花等农产品仓储")
    , "602" -> category("16", "交通运输、仓储和邮政业", "65", "邮政业", "196", "快递服务")
    , "552" -> category("16", "交通运输、仓储和邮政业", "77", "水上运输业", "195", "水上货物运输")
    , "366" -> category("11", "制造业", "101", "汽车制造业", "194", "汽车零部件及配件制造")
    , "292" -> category("11", "制造业", "103", "橡胶和塑料制品业", "193", "塑料制品业")
    , "563" -> category("16", "交通运输、仓储和邮政业", "16", "航空运输业", "192", "航空运输辅助活动")
    , "42" -> category("29", "农、林、牧、渔业", "26", "渔业", "191", "水产捕捞")
    , "132" -> category("11", "制造业", "51", "农副食品加工业", "190", "饲料加工")
    , "724" -> category("28", "租赁和商务服务业", "63", "商务服务业", "189", "广告业")
    , "109" -> category("14", "采矿业", "99", "非金属矿采选业", "188", "石棉及其他非金属矿采选")
    , "771" -> category("15", "水利、环境和公共设施管理业", "42", "生态保护和环境治理业", "187", "生态保护")
    , "182" -> category("11", "制造业", "38", "纺织服装、服饰业", "186", "针织或钩针编织服装制造")
    , "376" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "185", "自行车制造")
    , "899" -> category("18", "文化、体育和娱乐业", "37", "娱乐业", "184", "其他娱乐业")
    , "875" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "183", "博物馆")
    , "134" -> category("11", "制造业", "51", "农副食品加工业", "182", "制糖业")
    , "89" -> category("14", "采矿业", "28", "黑色金属矿采选业", "181", "其他黑色金属矿采选")
    , "393" -> category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "180", "广播电视设备制造")
    , "176" -> category("11", "制造业", "12", "纺织业", "179", "针织或钩针编织物及其制品制造")
    , "338" -> category("11", "制造业", "64", "金属制品业", "178", "金属制日用品制造")
    , "515" -> category("20", "批发和零售业", "81", "批发业", "177", "医药及医疗器材批发")
    , "71" -> category("14", "采矿业", "75", "石油和天然气开采业", "176", "石油开采")
    , "214" -> category("11", "制造业", "66", "家具制造业", "175", "塑料家具制造")
    , "511" -> category("20", "批发和零售业", "81", "批发业", "174", "农、林、牧产品批发")
    , "212" -> category("11", "制造业", "66", "家具制造业", "173", "竹、藤家具制造")
    , "834" -> category("23", "卫生和社会工作", "32", "卫生", "172", "计划生育技术服务活动")
    , "729" -> category("28", "租赁和商务服务业", "63", "商务服务业", "171", "其他商务服务业")
    , "16" -> category("29", "农、林、牧、渔业", "62", "农业", "170", "坚果、含油果、香料和饮料作物种植")
    , "348" -> category("11", "制造业", "31", "通用设备制造业", "169", "通用零部件制造")
    , "153" -> category("11", "制造业", "47", "酒、饮料和精制茶制造业", "168", "精制茶加工")
    , "202" -> category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "167", "人造板制造")
    , "141" -> category("11", "制造业", "40", "食品制造业", "166", "焙烤食品制造")
    , "111" -> category("14", "采矿业", "69", "开采辅助活动", "165", "煤炭开采和洗选辅助活动")
    , "781" -> category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "164", "市政设施管理")
    , "879" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "163", "其他文化艺术业")
    , "432" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "162", "通用设备修理")
    , "133" -> category("11", "制造业", "51", "农副食品加工业", "161", "植物油加工")
    , "442" -> category("22", "电力、热力、燃气及水生产和供应业", "74", "电力、热力生产和供应业", "160", "电力供应")
    , "243" -> category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "159", "工艺美术品制造")
    , "301" -> category("11", "制造业", "73", "非金属矿物制品业", "158", "水泥、石灰和石膏制造")
    , "499" -> category("12", "建筑业", "59", "建筑安装业", "157", "其他建筑安装业")
    , "194" -> category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "156", "羽毛(绒)加工及制品制造")
    , "611" -> category("21", "住宿和餐饮业", "93", "住宿业", "155", "旅游饭店")
    , "351" -> category("11", "制造业", "55", "专用设备制造业", "154", "采矿、冶金、建筑专用设备制造")
    , "151" -> category("11", "制造业", "47", "酒、饮料和精制茶制造业", "153", "酒的制造")
    , "892" -> category("18", "文化、体育和娱乐业", "37", "娱乐业", "152", "游乐园")
    , "339" -> category("11", "制造业", "64", "金属制品业", "151", "其他金属制品制造")
    , "742" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "150", "地震服务")
    , "362" -> category("11", "制造业", "101", "汽车制造业", "149", "改装汽车制造")
    , "518" -> category("20", "批发和零售业", "81", "批发业", "148", "贸易经纪与代理")
    , "877" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "147", "群众文化活动")
    , "651" -> category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "146", "软件开发")
    , "119" -> category("14", "采矿业", "69", "开采辅助活动", "145", "其他开采辅助活动")
    , "232" -> category("11", "制造业", "87", "印刷和记录媒介复制业", "144", "装订及印刷相关服务")
    , "772" -> category("15", "水利、环境和公共设施管理业", "42", "生态保护和环境治理业", "143", "环境治理业")
    , "191" -> category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "142", "皮革鞣制加工")
    , "434" -> category("11", "制造业", "15", "金属制品、机械和设备修理业", "141", "铁路、船舶、航空航天等运输设备修理")
    , "745" -> category("27", "科学研究和技术服务业", "24", "专业技术服务业", "140", "质检技术服务")
    , "355" -> category("11", "制造业", "55", "专用设备制造业", "139", "纺织、服装和皮革加工专用设备制造")
    , "761" -> category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "138", "防洪除涝设施管理")
    , "41" -> category("29", "农、林、牧、渔业", "26", "渔业", "137", "水产养殖")
    , "386" -> category("11", "制造业", "82", "电气机械和器材制造业", "136", "非电力家用器具制造")
    , "764" -> category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "135", "水文服务")
    , "443" -> category("22", "电力、热力、燃气及水生产和供应业", "74", "电力、热力生产和供应业", "134", "热力生产和供应")
    , "514" -> category("20", "批发和零售业", "81", "批发业", "133", "文化、体育用品及器材批发")
    , "282" -> category("11", "制造业", "33", "化学纤维制造业", "132", "合成纤维制造")
    , "751" -> category("27", "科学研究和技术服务业", "97", "科技推广和应用服务业", "131", "技术推广服务")
    , "32" -> category("29", "农、林、牧、渔业", "95", "畜牧业", "130", "家禽饲养")
    , "681" -> category("24", "金融业", "34", "保险业", "129", "人身保险")
    , "621" -> category("21", "住宿和餐饮业", "100", "餐饮业", "128", "正餐服务")
    , "702" -> category("26", "房地产业", "43", "房地产业", "127", "物业管理")
    , "137" -> category("11", "制造业", "51", "农副食品加工业", "126", "蔬菜、水果和坚果加工")
    , "673" -> category("24", "金融业", "86", "资本市场服务", "125", "证券期货监管服务")
    , "131" -> category("11", "制造业", "51", "农副食品加工业", "124", "谷物磨制")
    , "581" -> category("16", "交通运输、仓储和邮政业", "25", "装卸搬运和运输代理业", "123", "装卸搬运")
    , "795" -> category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "122", "洗浴服务")
    , "866" -> category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "121", "录音制作")
    , "659" -> category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "120", "其他信息技术服务业")
    , "211" -> category("11", "制造业", "66", "家具制造业", "119", "木质家具制造")
    , "864" -> category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "118", "电影和影视节目发行")
    , "801" -> category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "117", "汽车、摩托车修理与维护")
    , "874" -> category("18", "文化、体育和娱乐业", "88", "文化艺术业", "116", "文物及非物质文化遗产保护")
    , "331" -> category("11", "制造业", "64", "金属制品业", "115", "结构性金属制品制造")
    , "553" -> category("16", "交通运输、仓储和邮政业", "77", "水上运输业", "114", "水上运输辅助活动")
    , "543" -> category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "113", "道路货物运输")
    , "54" -> category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "112", "渔业服务业")
    , "31" -> category("29", "农、林、牧、渔业", "95", "畜牧业", "111", "牲畜饲养")
    , "178" -> category("11", "制造业", "12", "纺织业", "110", "非家用纺织制成品制造")
    , "372" -> category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "109", "城市轨道交通设备制造")
    , "517" -> category("20", "批发和零售业", "81", "批发业", "108", "机械设备、五金产品及电子产品批发")
    , "836" -> category("23", "卫生和社会工作", "32", "卫生", "107", "专科疾病防治院（所、站）")
    , "562" -> category("16", "交通运输、仓储和邮政业", "16", "航空运输业", "106", "通用航空服务")
    , "93" -> category("14", "采矿业", "36", "有色金属矿采选业", "105", "稀有稀土金属矿采选")
    , "661" -> category("24", "金融业", "45", "货币金融服务", "104", "中央银行服务")
    , "246" -> category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "103", "游艺器材及娱乐用品制造")
    , "219" -> category("11", "制造业", "66", "家具制造业", "102", "其他家具制造")
    , "523" -> category("20", "批发和零售业", "60", "零售业", "101", "纺织、服装及日用品专门零售")
    , "831" -> category("23", "卫生和社会工作", "32", "卫生", "100", "医院")
  )

}